---
updatedAt: 2025-09-11T08:38:47.000Z
agentTools:
  projectIndex: https://hashkeypro-apidoc.readme.io/llms.txt
---

# Get RFQ Quote

Get the quote for currency conversion. Must get quote before requesting a currency conversion order

**Weight: 100 times / second**

**Request Parameters**

***

| **Parameter** | **Type** | **Req'd**   | **Example1** | **Example2** | **Description**                                                                                    |
| ------------- | -------- | ----------- | ------------ | ------------ | -------------------------------------------------------------------------------------------------- |
| buyCcy        | STRING   | Y           | BTC          | USD          | The base currency which the client wants to buy                                                    |
| sellCcy       | STRING   | Y           | USD          | BTC          | The quote currency which the client wants to sell                                                  |
| buyAmount     | DECIMAL  | Conditional | 2            | 130000       | The amount of base currency to be purchased. <br  /> - Please enter either buyAmount or sellAmount |
| sellAmount    | DECIMAL  | Conditional | 130000       | 2            | The amount of quote currency to be sold. <br  /> - Please enter either buyAmount or sellAmount     |

**Response Content**

***

| **Parameter**    | **Type** | **Example Values**                     | **Description**                                                                                                            |
| ---------------- | -------- | -------------------------------------- | -------------------------------------------------------------------------------------------------------------------------- |
| quoteId          | STRING   | RFQ638459562162049024                  | A unique reference ID for this quote.                                                                                      |
| quoteClOrderId   | STRING   | RFQ12345666                            | (Optional) An ID defined by the client for the quote order. It will be automatically generated if not sent in the request. |
| buyCcy           | STRING   | BTC                                    | Currency or coin to buy.                                                                                                   |
| sellCcy          | STRING   | USDT                                   | Currency or coin to sell.                                                                                                  |
| buyPrice         | DECIMAL  | 130000/2 = 65000 (usdt/ btc)           | Buy price in quote currency.                                                                                               |
| sellPrice        | DECIMAL  | 2 / 130000 = 0.000015384615 (btc/usdt) | Sell price in quote currency.                                                                                              |
| buyAmount        | DECIMAL  | 2 (btc)                                | The amount of base / buy currency to be purchased.                                                                         |
| sellAmount       | DECIMAL  | 130000 (usdt)                          | The amount of quote / sell currency to be sold.                                                                            |
| rate             | DECIMAL  | 7.79375                                | Indicative rate.                                                                                                           |
| quoteCreatedTime | LONG     | 1725222781                             | Rates are effective as of this timestamp.                                                                                  |
| quoteExpiryTime  | LONG     | 1725222836                             | Rates are valid until this timestamp.                                                                                      |

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "default",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api-pro.sim.hashkeydev.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "X-HK-APIKEY",
        "x-default": "NuVdtBcogpRjyQ6sMMlC6KEB0xuXZbng9zXDPyT0TOWHp64UEkyIJ287bBhaW4vy"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/api/v1/rfq/getQuote": {
      "post": {
        "summary": "Get RFQ Quote",
        "description": "Get the quote for currency conversion. Must get quote before requesting a currency conversion order",
        "operationId": "get-rfq-quote",
        "parameters": [
          {
            "name": "buyCurrency",
            "in": "query",
            "description": "Required field. The currency which the client wants to buy",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "sellCurrency",
            "in": "query",
            "description": "Required field. The currency which the client wants to sell",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "timestamp",
            "in": "query",
            "description": "Millisecond Timestamp",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "signature",
            "in": "query",
            "description": "Signature",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "buyAmount",
            "in": "query",
            "description": "The amount of base currency to be purchase  - Please enter either buyAmount or sellAmount",
            "schema": {
              "type": "number",
              "format": "float"
            }
          },
          {
            "name": "sellAmount",
            "in": "query",
            "description": "The amount of quote currency to be sold - Please enter either buyAmount or sellAmount",
            "schema": {
              "type": "number",
              "format": "float"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"quoteId\":\"XYZ-1LX3XUS5K0GT9\",\n    \"buyCcy\":\"BTC\",\n    \"sellCcy\":\"USDT\",\n    \"buyPrice\":65000,\n    \"sellPrice\": 0.000015384615,\n    \"buyAmount\":2,\n    \"sellAmount\":130000,\n    \"quoteCreatedTime\":1443150225448,\n    \"quoteExpiryTime\":1725222836\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "quoteId": {
                      "type": "string",
                      "example": "XYZ-1LX3XUS5K0GT9"
                    },
                    "buyCcy": {
                      "type": "string",
                      "example": "BTC"
                    },
                    "sellCcy": {
                      "type": "string",
                      "example": "USDT"
                    },
                    "buyPrice": {
                      "type": "integer",
                      "example": 65000,
                      "default": 0
                    },
                    "sellPrice": {
                      "type": "number",
                      "example": 0.000015384615,
                      "default": 0
                    },
                    "buyAmount": {
                      "type": "integer",
                      "example": 2,
                      "default": 0
                    },
                    "sellAmount": {
                      "type": "integer",
                      "example": 130000,
                      "default": 0
                    },
                    "quoteCreatedTime": {
                      "type": "integer",
                      "example": 1443150225448,
                      "default": 0
                    },
                    "quoteExpiryTime": {
                      "type": "integer",
                      "example": 1725222836,
                      "default": 0
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```